## vdr-plugin-live 0.3.0+git20160123

=== Makefile ===
#
# Makefile for the 'LIVE' Video Disk Recorder plugin
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
PLUGIN = live

### The version number of this plugin (taken from the main source file):
VERSION = $(shell grep '\#define LIVEVERSION ' setup.h | awk '{ print $$3 }' | sed -e 's/[";]//g')

### Check for libpcre c++ wrapper
HAVE_LIBPCRECPP = $(shell pcre-config --libs-cpp)

### The directory environment:
# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:
export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

ECPPC ?= ecppc

### The version number of VDR's plugin API:
APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:
-include $(PLGCFG)

### Determine tntnet and cxxtools versions:
TNTVERSION = $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
CXXTOOLVER = $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')

CXXFLAGS  += $(shell tntnet-config --cxxflags)
LIBS      += $(shell tntnet-config --libs)

### Optional configuration features
PLUGINFEATURES =
ifneq ($(HAVE_LIBPCRECPP),)
	PLUGINFEATURES += -DHAVE_LIBPCRECPP
	CXXFLAGS       += $(shell pcre-config --cflags)
	LIBS           += $(HAVE_LIBPCRECPP)
endif

### export all vars for sub-makes, using absolute paths
LIBDIR := $(shell cd $(LIBDIR) >/dev/null 2>&1 && pwd)
LOCDIR := $(shell cd $(LOCDIR) >/dev/null 2>&1 && pwd)
export
unexport PLUGIN

### The name of the distribution archive:
ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:
SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):
DEFINES	 += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION) -DCXXTOOLVER=$(CXXTOOLVER)
SUBDIRS	  = pages css javascript
VERSIONSUFFIX = gen_version_suffix.h

### The object files (add further files here):
PLUGINOBJS = $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
	     tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
	     grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o \
	     users.o

WEBLIBS	   = pages/libpages.a css/libcss.a javascript/libjavascript.a

### The main target:
all: $(SOFILE) i18n

### Implicit rules:
%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

### Dependencies:
MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $(PLUGINOBJS:%.o=%.cpp) > $@

ifneq ($(MAKECMDGOALS),clean)
-include $(DEPFILE)
endif

### Internationalization (I18N):
PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): PAGES $(PLUGINOBJS:%.o=%.cpp)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(PLUGINOBJS:%.o=%.cpp) pages/*.cpp setup.h epg_events.h

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:
PAGES:
	$(MAKE) -C pages PLUGINFEATURES="$(PLUGINFEATURES)" .dependencies

$(VERSIONSUFFIX): FORCE
	./buildutil/version-util $(VERSIONSUFFIX) || ./buildutil/version-util -F $(VERSIONSUFFIX)

$(SOFILE): $(VERSIONSUFFIX) $(SUBDIRS) $(PLUGINOBJS)
	for SUBDIR in $(SUBDIRS); \
		do $(MAKE) -C $${SUBDIR} PLUGINFEATURES="$(PLUGINFEATURES)" all; \
	done
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGINOBJS) -Wl,--whole-archive $(WEBLIBS) -Wl,--no-whole-archive $(LIBS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(TMPDIR)/$(PACKAGE).tar.gz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(TMPDIR)/$(PACKAGE).tar.gz

clean: $(SUBDIRS)
	for SUBDIR in $(SUBDIRS); \
		do $(MAKE) -C $${SUBDIR} clean; \
	done
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(PLUGINOBJS) $(DEPFILE) *.so *.tgz core* *~
	@-rm -f $(VERSIONSUFFIX)

.PRECIOUS: $(I18Npo)

FORCE:

=== css/Makefile ===
### The official name of this plugin.
PLUGIN = live

### Additional options to silence TNTNET warnings
TNTFLAGS   ?= -Wno-overloaded-virtual -Wno-unused-function

### Includes and Defines (add further entries here):
INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):
OBJS	= styles.o

### The main target:
all: libcss.a

### Implicit rules:
%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.css
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CSS) -b -m "text/css" $<

### Targets:
libcss.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libcss.a $(OBJS:%.o=%.cpp)

dist: clean
	@echo "Nothing to do for distribution here ..."

=== javascript/Makefile ===
### The official name of this plugin.
PLUGIN = live

### Additional options to silence TNTNET warnings
TNTFLAGS   ?= -Wno-overloaded-virtual -Wno-unused-function

### Includes and Defines (add further entries here):
INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):
OBJS	= treeview.o

### The main target:
all: libjavascript.a

### Implicit rules:
%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.js
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_JS) -b -m "text/javascript" $<

### Targets:
libjavascript.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libjavascript.a $(OBJS:%.o=%.cpp)

dist: clean
	@echo "Nothing to do for distribution here ..."

=== pages/Makefile ===
### The official name of this plugin.
PLUGIN = live

### Additional options to silence TNTNET warnings
TNTFLAGS   ?= -Wno-overloaded-virtual -Wno-unused-variable

### Includes and Defines (add further entries here):
INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):
OBJS	= menu.o recordings.o schedule.o multischedule.o screenshot.o   \
          timers.o whats_on.o switch_channel.o keypress.o remote.o	\
          channels_widget.o edit_timer.o error.o pageelems.o tooltip.o	\
          vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
          searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
          pause_recording.o stop_recording.o ffw_recording.o		\
          rwd_recording.o setup.o content.o epginfo.o timerconflicts.o  \
          recstream.o users.o edit_user.o edit_recording.o

### The main target:
all: libpages.a

### Implicit rules:

%.o: %.cpp
	$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.ecpp
	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CPP) $<

### Dependencies:
MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.ecpp)
	@$(MAKEDEP) $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

ifneq ($(MAKECMDGOALS),clean)
-include $(DEPFILE)
endif

### Targets:
libpages.a: $(OBJS)
	$(AR) r $@ $^

clean:
	@rm -f *~ *.o core* libpages.a $(OBJS:%.o=%.cpp) $(DEPFILE)

dist: clean
	@echo "Nothing to do for distribution here ..."

=== debian/changelog ===
vdr-plugin-live (0.3.0+git20160123-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 869ac69)
  * Removed build dependency to libboost - this is not required for GCC >= 4
  * Added fixes for GCC6 (Closes: #811803)

 -- Tobias Grimm <etobi@debian.org>  Sun, 24 Jan 2016 20:04:39 +0100

vdr-plugin-live (0.3.0+git20150930-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 6ea279a)

 -- Tobias Grimm <etobi@debian.org>  Wed, 30 Sep 2015 21:46:50 +0200

vdr-plugin-live (0.3.0+git20150213-3) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 22:53:36 +0100

vdr-plugin-live (0.3.0+git20150213-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:48 +0100

vdr-plugin-live (0.3.0+git20150213-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 894daa8)
  * Standards-Version: 3.9.6
  * Build-depend on vdr-dev (>= 2.1.10)
  * Build with vdr-plugin-live-dbg for debug symbols

 -- Tobias Grimm <etobi@debian.org>  Fri, 13 Feb 2015 19:03:55 +0100

=== debian/control ===
Source: vdr-plugin-live
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), pkg-config,
 libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
 libssl-dev, gettext, libpcre3-dev
Standards-Version: 3.9.6
Homepage: http://live.vdr-developer.org
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git

Package: vdr-plugin-live
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Web administration plugin for VDR
 Live, the "Live Interactive VDR Environment", is a plugin providing the
 possibility to interactively control the Linux Video Disc Recorder VDR and
 some of it's plugins from a web interface.
 .
 Unlike external programs, like the VDR web frontend "VDRAdmin-AM", that 
 communicate  with VDR via its SVDRP socket interface, Live has direct
 access to VDR's data structures and thus is very fast.

Package: vdr-plugin-live-dbg
Architecture: any
Section: debug
Priority: extra
Depends: vdr-plugin-live (= ${binary:Version}), ${misc:Depends}
Description: Web administration plugin for VDR
 Live, the "Live Interactive VDR Environment", is a plugin providing the
 possibility to interactively control the Linux Video Disc Recorder VDR and
 some of it's plugins from a web interface.
 .
 Unlike external programs, like the VDR web frontend "VDRAdmin-AM", that 
 communicate  with VDR via its SVDRP socket interface, Live has direct
 access to VDR's data structures and thus is very fast.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

PLG_PACKAGE = $(filter-out %-dbg, $(shell dh_listpackages))
DBG_PACKAGE = $(filter %-dbg, $(shell dh_listpackages))

%:
	dh $@ --with vdrplugin

override_dh_auto_install:
	dh_auto_install --destdir=debian/$(PLG_PACKAGE)

override_dh_strip:
	dh_strip --dbg-package=$(DBG_PACKAGE)

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh

=== debian/watch ===
version=3

http://live.vdr-developer.org/downloads/vdr-live-(.*)\.tar\.gz

## vdr-plugin-live 2.3.1

=== Makefile ===
#
# Makefile for the 'LIVE' Video Disk Recorder plugin
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
PLUGIN := live

### The version number of this plugin (taken from the main source file):
VERSION := $(shell grep '\#define LIVEVERSION ' setup.h | awk '{ print $$3 }' | sed -e 's/[";]//g')

### Check for libpcre c++ wrapper
HAVE_LIBPCRECPP := $(shell pcre-config --libs-cpp)

### The directory environment:
# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:
export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

ECPPC ?= ecppc

### The version number of VDR's plugin API:
APIVERSION := $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:
-include $(PLGCFG)

include global.mk

### Determine tntnet and cxxtools versions:
TNTVERSION = $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
CXXTOOLVER = $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')

CXXFLAGS  += $(shell tntnet-config --cxxflags)
LIBS      += $(shell tntnet-config --libs)

### Optional configuration features
PLUGINFEATURES :=
ifneq ($(HAVE_LIBPCRECPP),)
	PLUGINFEATURES += -DHAVE_LIBPCRECPP
	CXXFLAGS       += $(shell pcre-config --cflags)
	LIBS           += $(HAVE_LIBPCRECPP)
endif

# -Wno-deprecated-declarations .. get rid of warning: ‘template<class> class std::auto_ptr’ is deprecated
CXXFLAGS += -std=c++11 -Wfatal-errors -Wundef -Wno-deprecated-declarations

### export all vars for sub-makes, using absolute paths
LIBDIR := $(abspath $(LIBDIR))
LOCDIR := $(abspath $(LOCDIR))
export
unexport PLUGIN

### The name of the distribution archive:
ARCHIVE := $(PLUGIN)-$(VERSION)
PACKAGE := vdr-$(ARCHIVE)

### The name of the shared object file:
SOFILE := libvdr-$(PLUGIN).so

### Installed shared object file:
SOINST = $(DESTDIR)$(LIBDIR)/$(SOFILE).$(APIVERSION)

### Includes and Defines (add further entries here):
DEFINES	+= -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION) -DCXXTOOLVER=$(CXXTOOLVER)
VERSIONSUFFIX = gen_version_suffix.h

### The object files (add further files here):
PLUGINOBJS := $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
              tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
              grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o \
              users.o osd_status.o
PLUGINSRCS := $(patsubst %.o,%.cpp,$(PLUGINOBJS))

WEB_LIB_PAGES := libpages.a
WEB_DIR_PAGES := pages
WEB_PAGES     := $(WEB_DIR_PAGES)/$(WEB_LIB_PAGES)

WEB_LIB_CSS := libcss.a
WEB_DIR_CSS := css
WEB_CSS     := $(WEB_DIR_CSS)/$(WEB_LIB_CSS)

WEB_LIB_JAVA := libjavascript.a
WEB_DIR_JAVA := javascript
WEB_JAVA     := $(WEB_DIR_JAVA)/$(WEB_LIB_JAVA)

WEBLIBS := $(WEB_PAGES) $(WEB_CSS) $(WEB_JAVA)
SUBDIRS := $(WEB_DIR_PAGES) $(WEB_DIR_CSS) $(WEB_DIR_JAVA)

### The main target:
.PHONY: all
all: lib i18n
	@true

### Implicit rules:
$(WEB_DIR_PAGES)/%.o: $(WEB_DIR_PAGES)/%.cpp $(WEB_DIR_PAGES)/%.ecpp
	@$(MAKE) -C $(WEB_DIR_PAGES) --no-print-directory PLUGINFEATURES="$(PLUGINFEATURES)" $(notdir $@)

$(WEB_DIR_CSS)/%.o:
	@$(MAKE) -C $(WEB_DIR_CSS) --no-print-directory PLUGINFEATURES="$(PLUGINFEATURES)" $(notdir $@)

$(WEB_DIR_JAVA)/%.o:
	@$(MAKE) -C $(WEB_DIR_JAVA) --no-print-directory PLUGINFEATURES="$(PLUGINFEATURES)" $(notdir $@)

%.o: %.cpp
	$(call PRETTY_PRINT,"CC" $@)
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

### Dependencies:
MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $(PLUGINSRCS) > $@

ifneq ($(MAKECMDGOALS),clean)
-include $(DEPFILE)
endif

### For all recursive Targets:

recursive-%:
	@$(MAKE) --no-print-directory $*

### Internationalization (I18N):
PODIR    := po
I18Npo   := $(wildcard $(PODIR)/*.po)
I18Nmo   := $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs := $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot  := $(PODIR)/$(PLUGIN).pot
I18Npot_deps = $(PLUGINSRCS) $(wildcard $(WEB_DIR_PAGES)/*.cpp) setup.h epg_events.h

$(I18Npot): $(I18Npot_deps)
	$(call PRETTY_PRINT,"GT" $@)
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(I18Npot_deps)

.PHONY: I18Nmo
I18Nmo: $(I18Nmo)
	@true

%.mo: %.po
	$(if $(DISABLE_I18Nmo_txt),,@echo "Creating *.mo")
	@msgfmt -c -o $@ $<
	$(eval DISABLE_I18Nmo_txt := 1)

%.po: $(I18Npot)
	$(if $(DISABLE_I18Npo_txt),,@echo "Creating *.po")
	@msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@
	$(eval DISABLE_I18Npo_txt := 1)

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	$(if $(DISABLE_I18Nmoinst_txt),,@echo "Installing *.mo")
	@install -D -m644 $< $@
	$(eval DISABLE_I18Nmoinst_txt := 1)

.PHONY: inst_I18Nmsg
inst_I18Nmsg: $(I18Nmsgs)
	@true

# When building in parallel, this will tell make to keep an order in the steps
recursive-I18Nmo: subdirs
recursive-inst_I18Nmsg: recursive-I18Nmo

.PHONY: i18n
i18n: subdirs recursive-I18Nmo

.PHONY: install-i18n
install-i18n: i18n recursive-inst_I18Nmsg

### Targets:

$(VERSIONSUFFIX): FORCE
ifneq ($(MAKECMDGOALS),clean)
	@./buildutil/version-util $(VERSIONSUFFIX) || ./buildutil/version-util -F $(VERSIONSUFFIX)
endif

.PHONY: subdirs $(SUBDIRS)
subdirs: $(SUBDIRS)

$(SUBDIRS):
ifneq ($(MAKECMDGOALS),clean)
	@$(MAKE) -C $@ --no-print-directory PLUGINFEATURES="$(PLUGINFEATURES)" all
else
	@$(MAKE) -C $@ --no-print-directory clean
endif

$(SOFILE): $(PLUGINOBJS) $(WEBLIBS)
	$(call PRETTY_PRINT,"LD" $@)
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGINOBJS) -Wl,--whole-archive $(WEBLIBS) -Wl,--no-whole-archive $(LIBS) -o $@

.PHONY: sofile
sofile: $(SOFILE)
	@true

# When building in parallel, this will tell make to keep an order in the steps
recursive-sofile: subdirs
recursive-soinst: recursive-sofile

# When building in parallel, this will tell make to build VERSIONSUFFIX as first
subdirs $(PLUGINOBJS): $(VERSIONSUFFIX)

.PHONY: lib
lib: $(VERSIONSUFFIX) subdirs $(PLUGINOBJS) recursive-sofile

.PHONY: soinst
soinst: $(SOINST)

$(SOINST): $(SOFILE)
	$(call PRETTY_PRINT,"Installing" $<)
	$(Q)install -D $< $@

.PHONY: install-lib
install-lib: lib recursive-soinst

.PHONY: install
install: install-lib install-i18n

.PHONY: dist
dist: $(I18Npo)
	$(MAKE) --no-print-directory clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(TMPDIR)/$(PACKAGE).tar.gz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(TMPDIR)/$(PACKAGE).tar.gz

.PHONY: clean
clean: subdirs
	$(call PRETTY_PRINT,"CLN top")
	@-rm -f $(I18Nmo) $(I18Npot)
	@-rm -f $(PLUGINOBJS) $(DEPFILE) *.so *.tgz core* *~
	@-rm -f $(VERSIONSUFFIX)

.PRECIOUS: $(I18Npo)

.PHONY: FORCE
FORCE:

=== css/Makefile ===
### The official name of this plugin.
PLUGIN := live

### Additional options to silence TNTNET warnings
TNTFLAGS ?= -Wno-overloaded-virtual -Wno-unused-function

### Includes and Defines (add further entries here):
INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):
OBJS := styles.o
SRCS := $(patsubst %.o,%.cpp,$(OBJS))

include ../global.mk

### The main target:
all: libcss.a
	@true

### Implicit rules:
%.o: %.cpp
	$(call PRETTY_PRINT,"CC css/" $@)
	$(Q)$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.css
	$(call PRETTY_PRINT,"ECPP css/" $@)
	$(Q)$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CSS) -b -m "text/css" $<

### Targets:
libcss.a: $(OBJS)
	$(call PRETTY_PRINT,"AR css/" $@)
	$(Q)$(AR) r $@ $^ $(AR_NUL)

clean:
	$(call PRETTY_PRINT,"CLN css/")
	@rm -f *~ *.o core* libcss.a $(SRCS)

dist: clean
	@echo "Nothing to do for distribution here ..."

.PRECIOUS: $(SRCS)

=== javascript/Makefile ===
### The official name of this plugin.
PLUGIN := live

### Additional options to silence TNTNET warnings
TNTFLAGS ?= -Wno-overloaded-virtual -Wno-unused-function

### Includes and Defines (add further entries here):
INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):
OBJS := treeview.o
SRCS := $(patsubst %.o,%.cpp,$(OBJS))

include ../global.mk

### The main target:
all: libjavascript.a
	@true

### Implicit rules:
%.o: %.cpp
	$(call PRETTY_PRINT,"CC javascript/" $@)
	$(Q)$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.js
	$(call PRETTY_PRINT,"ECPP javascript/" $@)
	$(Q)$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_JS) -b -m "text/javascript" $<

### Targets:
libjavascript.a: $(OBJS)
	$(call PRETTY_PRINT,"AR javascript/" $@)
	$(Q)$(AR) r $@ $^ $(AR_NUL)

clean:
	$(call PRETTY_PRINT,"CLN javascript/")
	@rm -f *~ *.o core* libjavascript.a $(SRCS)

dist: clean
	@echo "Nothing to do for distribution here ..."

.PRECIOUS: $(SRCS)

=== pages/Makefile ===
### The official name of this plugin.
PLUGIN := live

### Additional options to silence TNTNET warnings
TNTFLAGS ?= -Wno-overloaded-virtual -Wno-unused-variable

### Includes and Defines (add further entries here):
INCLUDES += -I$(VDRDIR)/include -I..

### The object files (add further files here):
OBJS := menu.o recordings.o schedule.o multischedule.o screenshot.o   \
        timers.o whats_on.o switch_channel.o keypress.o remote.o	\
        channels_widget.o edit_timer.o error.o pageelems.o tooltip.o	\
        vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
        searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
        pause_recording.o stop_recording.o ffw_recording.o		\
        rwd_recording.o setup.o content.o epginfo.o timerconflicts.o  \
        recstream.o users.o edit_user.o edit_recording.o osd.o
SRCS := $(patsubst %.o,%.cpp,$(OBJS))
ESRCS := $(patsubst %.o,%.ecpp,$(OBJS))
ESRCS_DEPS := $(patsubst %.o,.%.edep,$(OBJS))

include ../global.mk

### The main target:
all: libpages.a
	@true

### Implicit rules:

%.o: %.cpp
	$(call PRETTY_PRINT,"CC pages/" $@)
	$(Q)$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<

%.cpp: %.ecpp
	$(call PRETTY_PRINT,"ECPP pages/" $@)
	$(Q)$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CPP) $<

.%.edep: %.ecpp
	@$(ECPPC) -M $(ECPPFLAGS) $(ECPPFLAGS_CPP) $< > $@

### Dependencies:
MAKEDEP := $(CXX) -MM -MG
DEPFILE := .dependencies
$(DEPFILE): Makefile $(SRCS) $(ESRCS)
	@$(MAKEDEP) $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $(SRCS) > $@

ifneq ($(MAKECMDGOALS),clean)
-include $(DEPFILE)
-include $(ESRCS_DEPS)
endif

### Targets:
libpages.a: $(OBJS)
	$(call PRETTY_PRINT,"AR pages/" $@)
	$(Q)$(AR) r $@ $^ $(AR_NUL)

clean:
	$(call PRETTY_PRINT,"CLN pages/")
	@rm -f *~ *.o core* libpages.a $(SRCS) $(DEPFILE) $(ESRCS_DEPS)

dist: clean
	@echo "Nothing to do for distribution here ..."

.PRECIOUS: $(SRCS)

=== debian/changelog ===
vdr-plugin-live (2.3.1-2) unstable; urgency=medium

  * Updated debian/watch to point to new git repository
  * Updated debian/copyright
  * Dropped vdr-plugin-live-dbg - migration to automatically created debug
    symbol package

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Sep 2017 23:16:40 +0200

vdr-plugin-live (2.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #853699)
  * Build-depend on vdr-dev >= 2.3.8
  * Dropped all patches - fixed upstream
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Wed, 23 Aug 2017 08:59:13 +0200

=== debian/control ===
Source: vdr-plugin-live
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 10), vdr-dev (>= 2.3.8), pkg-config,
 libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
 libssl-dev, gettext, libpcre3-dev
Standards-Version: 3.9.8
Homepage: http://live.vdr-developer.org
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git

Package: vdr-plugin-live
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Web administration plugin for VDR
 Live, the "Live Interactive VDR Environment", is a plugin providing the
 possibility to interactively control the Linux Video Disc Recorder VDR and
 some of it's plugins from a web interface.
 .
 Unlike external programs, like the VDR web frontend "VDRAdmin-AM", that 
 communicate  with VDR via its SVDRP socket interface, Live has direct
 access to VDR's data structures and thus is very fast.

=== debian/watch ===
version=4

#http://live.vdr-developer.org/downloads/vdr-live-(.*)\.tar\.gz
https://projects.vdr-developer.org/git/vdr-plugin-live.git .*/release_(\d+)-(\d+)-(\d+)\.tar\.bz2

## vdr-plugin-live 3.1.3

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 LIBDIR = $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
+RESDIR = $(call PKGCFG,resdir)
 #
 TMPDIR ?= /tmp
 
@@ -37,11 +38,21 @@
 include global.mk
 
 ### Determine tntnet and cxxtools versions:
+TNTNET-CONFIG := $(shell which tntnet-config 2>/dev/null)
+ifeq ($(TNTNET-CONFIG),)
+TNTVERSION = $(shell pkg-config --modversion tntnet | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+CXXFLAGS  += $(shell pkg-config --cflags tntnet)
+LIBS      += $(shell pkg-config --libs tntnet)
+else
 TNTVERSION = $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
-CXXTOOLVER = $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
-
 CXXFLAGS  += $(shell tntnet-config --cxxflags)
 LIBS      += $(shell tntnet-config --libs)
+endif
+
+# $(info $$TNTVERSION is [${TNTVERSION}])
+
+CXXTOOLVER = $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+
 
 ### Optional configuration features
 PLUGINFEATURES :=
@@ -72,13 +83,14 @@
 
 ### Includes and Defines (add further entries here):
 DEFINES	+= -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION) -DCXXTOOLVER=$(CXXTOOLVER)
+DEFINES	+= -DDISABLE_TEMPLATES_COLLIDING_WITH_STL
 VERSIONSUFFIX = gen_version_suffix.h
 
 ### The object files (add further files here):
 PLUGINOBJS := $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
               tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
               grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o \
-              users.o osd_status.o
+              users.o osd_status.o ffmpeg.o
 PLUGINSRCS := $(patsubst %.o,%.cpp,$(PLUGINOBJS))
 
 WEB_LIB_PAGES := libpages.a
@@ -221,8 +233,14 @@
 .PHONY: install-lib
 install-lib: lib recursive-soinst
 
+.PHONY: install-web
+install-web:
+	@mkdir -p $(DESTDIR)$(RESDIR)/plugins/$(PLUGIN)
+	@cp -a live/* $(DESTDIR)$(RESDIR)/plugins/$(PLUGIN)/
+
+
 .PHONY: install
-install: install-lib install-i18n
+install: install-lib install-i18n install-web
 
 .PHONY: dist
 dist: $(I18Npo)

=== css/Makefile ===
--- 
+++ 
@@ -22,7 +22,11 @@
 	$(call PRETTY_PRINT,"CC css/" $@)
 	$(Q)$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<
 
+ifeq ($(shell test $(TNTVERSION) -ge 30000; echo $$?),0)
+%.cpp: %.ecpp
+else
 %.cpp: %.css
+endif
 	$(call PRETTY_PRINT,"ECPP css/" $@)
 	$(Q)$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CSS) -b -m "text/css" $<

=== javascript/Makefile ===
--- 
+++ 
@@ -22,7 +22,11 @@
 	$(call PRETTY_PRINT,"CC javascript/" $@)
 	$(Q)$(CXX) $(CXXFLAGS) $(TNTFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<
 
+ifeq ($(shell test $(TNTVERSION) -ge 30000; echo $$?),0)
+%.cpp: %.ecpp
+else
 %.cpp: %.js
+endif
 	$(call PRETTY_PRINT,"ECPP javascript/" $@)
 	$(Q)$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_JS) -b -m "text/javascript" $<

=== pages/Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 ### Additional options to silence TNTNET warnings
 TNTFLAGS ?= -Wno-overloaded-virtual -Wno-unused-variable
+
+DEFINES += -DDISABLE_TEMPLATES_COLLIDING_WITH_STL
 
 ### Includes and Defines (add further entries here):
 INCLUDES += -I$(VDRDIR)/include -I..
@@ -11,11 +13,12 @@
 OBJS := menu.o recordings.o schedule.o multischedule.o screenshot.o   \
         timers.o whats_on.o switch_channel.o keypress.o remote.o	\
         channels_widget.o edit_timer.o error.o pageelems.o tooltip.o	\
-        vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
+        searchtimers.o edit_searchtimer.o searchresults.o	\
         searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
         pause_recording.o stop_recording.o ffw_recording.o		\
         rwd_recording.o setup.o content.o epginfo.o timerconflicts.o  \
-        recstream.o users.o edit_user.o edit_recording.o osd.o
+        recstream.o users.o edit_user.o edit_recording.o osd.o	\
+        playlist.o stream.o stream_data.o
 SRCS := $(patsubst %.o,%.cpp,$(OBJS))
 ESRCS := $(patsubst %.o,%.ecpp,$(OBJS))
 ESRCS_DEPS := $(patsubst %.o,.%.edep,$(OBJS))

=== debian/changelog ===
vdr-plugin-live (3.1.3-3build1) noble; urgency=high

  * No change rebuild against libtntnet13t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:02:35 +0200

vdr-plugin-live (3.1.3-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Nov 2023 22:12:14 +0100

vdr-plugin-live (3.1.3-2) unstable; urgency=medium

  * Fix debian/watch
  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 20:01:14 +0100

vdr-plugin-live (3.1.3-1) unstable; urgency=medium

  * Project moved to GitHub
  * New upstream version 3.1.3 (Closes: #984388)
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Use the newer libpcre2 instead of libcre3 (Closes: #999934)

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 22:07:38 +0100

vdr-plugin-live (2.3.1-5) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:12:52 +0100

vdr-plugin-live (2.3.1-4) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Jul 2019 08:41:14 +0200

vdr-plugin-live (2.3.1-3) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Don't do a recursive chown on /var/lib/vdr/plugins/live

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:23:15 +0200

=== debian/control ===
Source: vdr-plugin-live
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
	, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config,
 libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
 libssl-dev, gettext, libpcre2-dev
Standards-Version: 4.6.2
Homepage: https://github.com/MarkusEh/vdr-plugin-live
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-live.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-live

Package: vdr-plugin-live
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Web administration plugin for VDR
 Live, the "Live Interactive VDR Environment", is a plugin providing the
 possibility to interactively control the Linux Video Disc Recorder VDR and
 some of it's plugins from a web interface.
 .
 Unlike external programs, like the VDR web frontend "VDRAdmin-AM", that
 communicate  with VDR via its SVDRP socket interface, Live has direct
 access to VDR's data structures and thus is very fast.

## vdr-plugin-live 3.3.7

=== Makefile ===
--- 
+++ 
@@ -8,24 +8,27 @@
 PLUGIN := live
 
 ### The version number of this plugin (taken from the main source file):
-VERSION := $(shell grep '\#define LIVEVERSION ' setup.h | awk '{ print $$3 }' | sed -e 's/[";]//g')
-
-### Check for libpcre c++ wrapper
-HAVE_LIBPCRECPP := $(shell pcre-config --libs-cpp)
+HASH := \#
+VERSION := $(shell awk '/$(HASH)define LIVEVERSION/ { print $$3 }' setup.h | sed -e 's/[";]//g')
+# $(info $$VERSION is [${VERSION}])
+
+### Check for libpcre2
+HAVE_PCRE2 := $(shell if pkg-config --exists libpcre2-8; then echo "1"; else echo "0"; fi )
 
 ### The directory environment:
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
-LIBDIR = $(call PKGCFG,libdir)
-LOCDIR = $(call PKGCFG,locdir)
-PLGCFG = $(call PKGCFG,plgcfg)
-RESDIR = $(call PKGCFG,resdir)
+LIBDIR := $(call PKGCFG,libdir)
+LOCDIR := $(call PKGCFG,locdir)
+CFGDIR := $(call PKGCFG,configdir)
+PLGCFG := $(call PKGCFG,plgcfg)
+RESDIR := $(call PKGCFG,resdir)
 #
 TMPDIR ?= /tmp
 
 ### The compiler options:
-export CFLAGS   = $(call PKGCFG,cflags)
-export CXXFLAGS = $(call PKGCFG,cxxflags)
+export CFLAGS   := $(call PKGCFG,cflags)
+export CXXFLAGS := $(call PKGCFG,cxxflags)
 
 ECPPC ?= ecppc
 
@@ -40,7 +43,7 @@
 ### Determine tntnet and cxxtools versions:
 TNTNET-CONFIG := $(shell which tntnet-config 2>/dev/null)
 ifeq ($(TNTNET-CONFIG),)
-TNTVERSION = $(shell pkg-config --modversion tntnet | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+TNTVERSION := $(shell pkg-config --modversion tntnet | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
 CXXFLAGS  += $(shell pkg-config --cflags tntnet)
 LIBS      += $(shell pkg-config --libs tntnet)
 else
@@ -51,19 +54,19 @@
 
 # $(info $$TNTVERSION is [${TNTVERSION}])
 
-CXXTOOLVER = $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+CXXTOOLVER := $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
 
 
 ### Optional configuration features
 PLUGINFEATURES :=
-ifneq ($(HAVE_LIBPCRECPP),)
-	PLUGINFEATURES += -DHAVE_LIBPCRECPP
-	CXXFLAGS       += $(shell pcre-config --cflags)
-	LIBS           += $(HAVE_LIBPCRECPP)
+ifeq ($(HAVE_PCRE2),1)
+	PLUGINFEATURES += -DHAVE_PCRE2
+	CXXFLAGS       += $(shell pkg-config --cflags libpcre2-8)
+	LIBS           += $(shell pkg-config --libs   libpcre2-8)
 endif
 
 # -Wno-deprecated-declarations .. get rid of warning: ‘template<class> class std::auto_ptr’ is deprecated
-CXXFLAGS += -std=c++11 -Wfatal-errors -Wundef -Wno-deprecated-declarations
+CXXFLAGS += -std=c++17 -Wfatal-errors -Wundef -Wno-deprecated-declarations
 
 ### export all vars for sub-makes, using absolute paths
 LIBDIR := $(abspath $(LIBDIR))
@@ -79,7 +82,7 @@
 SOFILE := libvdr-$(PLUGIN).so
 
 ### Installed shared object file:
-SOINST = $(DESTDIR)$(LIBDIR)/$(SOFILE).$(APIVERSION)
+SOINST := $(DESTDIR)$(LIBDIR)/$(SOFILE).$(APIVERSION)
 
 ### Includes and Defines (add further entries here):
 DEFINES	+= -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION) -DCXXTOOLVER=$(CXXTOOLVER)
@@ -90,23 +93,15 @@
 PLUGINOBJS := $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
               tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
               grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o \
-              users.o osd_status.o ffmpeg.o
+              users.o osd_status.o ffmpeg.o StringMatch.o xxhash.o
 PLUGINSRCS := $(patsubst %.o,%.cpp,$(PLUGINOBJS))
 
 WEB_LIB_PAGES := libpages.a
 WEB_DIR_PAGES := pages
 WEB_PAGES     := $(WEB_DIR_PAGES)/$(WEB_LIB_PAGES)
 
-WEB_LIB_CSS := libcss.a
-WEB_DIR_CSS := css
-WEB_CSS     := $(WEB_DIR_CSS)/$(WEB_LIB_CSS)
-
-WEB_LIB_JAVA := libjavascript.a
-WEB_DIR_JAVA := javascript
-WEB_JAVA     := $(WEB_DIR_JAVA)/$(WEB_LIB_JAVA)
-
-WEBLIBS := $(WEB_PAGES) $(WEB_CSS) $(WEB_JAVA)
-SUBDIRS := $(WEB_DIR_PAGES) $(WEB_DIR_CSS) $(WEB_DIR_JAVA)
+WEBLIBS := $(WEB_PAGES)
+SUBDIRS := $(WEB_DIR_PAGES)
 
 ### The main target:
 .PHONY: all
@@ -117,19 +112,13 @@
 $(WEB_DIR_PAGES)/%.o: $(WEB_DIR_PAGES)/%.cpp $(WEB_DIR_PAGES)/%.ecpp
 	@$(MAKE) -C $(WEB_DIR_PAGES) --no-print-directory PLUGINFEATURES="$(PLUGINFEATURES)" $(notdir $@)
 
-$(WEB_DIR_CSS)/%.o:
-	@$(MAKE) -C $(WEB_DIR_CSS) --no-print-directory PLUGINFEATURES="$(PLUGINFEATURES)" $(notdir $@)
-
-$(WEB_DIR_JAVA)/%.o:
-	@$(MAKE) -C $(WEB_DIR_JAVA) --no-print-directory PLUGINFEATURES="$(PLUGINFEATURES)" $(notdir $@)
-
 %.o: %.cpp
 	$(call PRETTY_PRINT,"CC" $@)
 	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $<
 
 ### Dependencies:
-MAKEDEP = $(CXX) -MM -MG
-DEPFILE = .dependencies
+MAKEDEP := $(CXX) -MM -MG
+DEPFILE := .dependencies
 $(DEPFILE): Makefile
 	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(PLUGINFEATURES) $(INCLUDES) $(PLUGINSRCS) > $@
 
@@ -148,7 +137,7 @@
 I18Nmo   := $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
 I18Nmsgs := $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot  := $(PODIR)/$(PLUGIN).pot
-I18Npot_deps = $(PLUGINSRCS) $(wildcard $(WEB_DIR_PAGES)/*.cpp) setup.h epg_events.h
+I18Npot_deps := $(PLUGINSRCS) $(wildcard $(WEB_DIR_PAGES)/*.cpp) setup.h epg_events.h
 
 $(I18Npot): $(I18Npot_deps)
 	$(call PRETTY_PRINT,"GT" $@)
@@ -238,9 +227,17 @@
 	@mkdir -p $(DESTDIR)$(RESDIR)/plugins/$(PLUGIN)
 	@cp -a live/* $(DESTDIR)$(RESDIR)/plugins/$(PLUGIN)/
 
+.PHONY: install-conf
+install-conf:
+	mkdir -p $(DESTDIR)$(CFGDIR)/plugins/$(PLUGIN)
+	@for i in conf/*; do\
+	    if ! [ -e $(DESTDIR)$(CFGDIR)/plugins/$(PLUGIN)/$$i ] ; then\
+	        cp -p $$i $(DESTDIR)$(CFGDIR)/plugins/$(PLUGIN);\
+	    fi;\
+	done
 
 .PHONY: install
-install: install-lib install-i18n install-web
+install: install-lib install-i18n install-web install-conf
 
 .PHONY: dist
 dist: $(I18Npo)

=== pages/Makefile ===
--- 
+++ 
@@ -10,15 +10,16 @@
 INCLUDES += -I$(VDRDIR)/include -I..
 
 ### The object files (add further files here):
-OBJS := menu.o recordings.o schedule.o multischedule.o screenshot.o   \
+OBJS := get_recordings.o delete_recording.o recordings.o pageelems.o \
+        epginfo.o schedule.o multischedule.o screenshot.o   \
         timers.o whats_on.o switch_channel.o keypress.o remote.o	\
-        channels_widget.o edit_timer.o error.o pageelems.o tooltip.o	\
+        channels_widget.o recordings_widget.o edit_timer.o error.o tooltip.o	\
         searchtimers.o edit_searchtimer.o searchresults.o	\
         searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
         pause_recording.o stop_recording.o ffw_recording.o		\
-        rwd_recording.o setup.o content.o epginfo.o timerconflicts.o  \
+        rwd_recording.o setup.o content.o timerconflicts.o  \
         recstream.o users.o edit_user.o edit_recording.o osd.o	\
-        playlist.o stream.o stream_data.o
+        playlist.o stream.o stream_data.o menu.o
 SRCS := $(patsubst %.o,%.cpp,$(OBJS))
 ESRCS := $(patsubst %.o,%.ecpp,$(OBJS))
 ESRCS_DEPS := $(patsubst %.o,.%.edep,$(OBJS))

=== debian/changelog ===
vdr-plugin-live (3.3.7-1) unstable; urgency=medium

  * new upstream version
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/patches: patch applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Oct 2024 18:12:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: vdr-plugin-live
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>
 	, Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config,
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
  libssl-dev, gettext, libpcre2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/MarkusEh/vdr-plugin-live
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-live.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-live

## vdr-plugin-live 3.4.1

=== debian/changelog ===
vdr-plugin-live (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * add myself to uploaders
  * replace build-depends pkg-config with pkgconf

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 07 Feb 2025 18:14:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-	, Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config,
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Thorsten Alteholz <debian@alteholz.de>,
+ Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf,
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
  libssl-dev, gettext, libpcre2-dev
 Standards-Version: 4.7.0

## vdr-plugin-live 3.4.2

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,11 @@
 VERSION := $(shell awk '/$(HASH)define LIVEVERSION/ { print $$3 }' setup.h | sed -e 's/[";]//g')
 # $(info $$VERSION is [${VERSION}])
 
-### Check for libpcre2
-HAVE_PCRE2 := $(shell if pkg-config --exists libpcre2-8; then echo "1"; else echo "0"; fi )
+PKG_CONFIG ?= pkg-config
 
 ### The directory environment:
 # Use package data if installed...otherwise assume we're under the VDR source directory:
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
+PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
 LIBDIR := $(call PKGCFG,libdir)
 LOCDIR := $(call PKGCFG,locdir)
 CFGDIR := $(call PKGCFG,configdir)
@@ -43,9 +42,9 @@
 ### Determine tntnet and cxxtools versions:
 TNTNET-CONFIG := $(shell which tntnet-config 2>/dev/null)
 ifeq ($(TNTNET-CONFIG),)
-TNTVERSION := $(shell pkg-config --modversion tntnet | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
-CXXFLAGS  += $(shell pkg-config --cflags tntnet)
-LIBS      += $(shell pkg-config --libs tntnet)
+TNTVERSION := $(shell $(PKG_CONFIG) --modversion tntnet | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+CXXFLAGS  += $(shell $(PKG_CONFIG) --cflags tntnet)
+LIBS      += $(shell $(PKG_CONFIG) --libs tntnet)
 else
 TNTVERSION = $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
 CXXFLAGS  += $(shell tntnet-config --cxxflags)
@@ -59,11 +58,6 @@
 
 ### Optional configuration features
 PLUGINFEATURES :=
-ifeq ($(HAVE_PCRE2),1)
-	PLUGINFEATURES += -DHAVE_PCRE2
-	CXXFLAGS       += $(shell pkg-config --cflags libpcre2-8)
-	LIBS           += $(shell pkg-config --libs   libpcre2-8)
-endif
 
 # -Wno-deprecated-declarations .. get rid of warning: ‘template<class> class std::auto_ptr’ is deprecated
 CXXFLAGS += -std=c++17 -Wfatal-errors -Wundef -Wno-deprecated-declarations
@@ -90,10 +84,10 @@
 VERSIONSUFFIX = gen_version_suffix.h
 
 ### The object files (add further files here):
-PLUGINOBJS := $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
-              tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
-              grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o \
-              users.o osd_status.o ffmpeg.o StringMatch.o xxhash.o
+PLUGINOBJS := $(PLUGIN).o recman.o epg_events.o thread.o tntconfig.o setup.o \
+              timers.o tools.o status.o epgsearch.o \
+              md5.o filecache.o livefeatures.o preload.o timerconflict.o \
+              users.o osd_status.o ffmpeg.o xxhash.o i18n.o
 PLUGINSRCS := $(patsubst %.o,%.cpp,$(PLUGINOBJS))
 
 WEB_LIB_PAGES := libpages.a

=== debian/changelog ===
vdr-plugin-live (3.4.2-1) unstable; urgency=medium

  * New upstream version 3.4.2
  * update my maintainer email

 -- Christoph Martin <chrism@debian.org>  Fri, 07 Mar 2025 10:17:06 +0100
